Skip to content

Get Codexgate Github App Manifest

GET
/v1/admin/codexgate/github-app/manifest
curl --request GET \
--url 'https://example.com/v1/admin/codexgate/github-app/manifest?state='
state
State
string
""
x-pomerium-jwt-assertion
Any of:
string

Successful Response

Media typeapplication/json
CodexGateGitHubAppManifestOut
object
org
required
Org
string
registration_url
required
Registration Url
string
app_name
required
App Name
string
redirect_url
required
Redirect Url
string
state
required
State
string
manifest
required
Manifest
object
key
additional properties
any
launch_html
Launch Html
string
""
Example
{
"launch_html": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}